"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_utils_1 = require("@ionic/cli-utils");
const modules_1 = require("../lib/modules");
let DocsCommand = class DocsCommand extends cli_utils_1.Command {
    run(inputs, options) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            let url = '';
            const opn = modules_1.load('opn');
            const docsHomepage = 'https://ionicframework.com/docs';
            const results = yield this.env.hooks.fire('command:docs', { cmd: this, env: this.env, inputs, options });
            if (results.length === 0) {
                url = docsHomepage;
            }
            else {
                [url] = results;
            }
            try {
                yield cli_utils_1.createRequest('head', url);
            }
            catch (e) {
                if (cli_utils_1.isSuperAgentError(e)) {
                    if (e.response.status === 404) {
                        this.env.log.warn(`Docs not found for your specific version of Ionic. Directing you to latest docs.`);
                        opn(`${docsHomepage}/api`, { wait: false });
                        return;
                    }
                }
                throw e;
            }
            opn(url, { wait: false });
            this.env.log.ok('Launched Ionic docs in your browser!');
        });
    }
};
DocsCommand = tslib_1.__decorate([
    cli_utils_1.CommandMetadata({
        name: 'docs',
        type: 'global',
        description: 'Open the Ionic documentation website',
    })
], DocsCommand);
exports.DocsCommand = DocsCommand;
