"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk = require("chalk");
const cli_utils_1 = require("@ionic/cli-utils");
class SSHBaseCommand extends cli_utils_1.Command {
    checkForOpenSSH() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            try {
                yield this.env.shell.run('ssh', ['-V'], { showCommand: false, fatalOnNotFound: false });
            }
            catch (e) {
                if (e !== cli_utils_1.ERROR_SHELL_COMMAND_NOT_FOUND) {
                    throw e;
                }
                this.env.log.error(`Command not found: ${chalk.bold('ssh')}`);
                this.env.log.warn('OpenSSH not found on your computer.');
                return 1;
            }
        });
    }
}
exports.SSHBaseCommand = SSHBaseCommand;
