"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
const modules_1 = require("./modules");
function diffPatch(filename, text1, text2) {
    const JsDiff = modules_1.load('diff');
    return JsDiff.createPatch(filename, text1, text2, '', '').split('\n').map((line) => {
        if (line.indexOf('-') === 0 && line.indexOf('---') !== 0) {
            line = chalk.bold(chalk.red(line));
        }
        else if (line.indexOf('+') === 0 && line.indexOf('+++') !== 0) {
            line = chalk.bold(chalk.green(line));
        }
        return line;
    }).slice(2).join('\n');
}
exports.diffPatch = diffPatch;
