/// <reference types="node" />
import { IonicEnvironment } from '@ionic/cli-utils';
import { StarterTemplate, StarterTemplateType } from '../definitions';
export declare function tarXvfFromUrl(url: string, destination: string, timeout: boolean | undefined, {progress}: {
    progress?: (loaded: number, total: number) => void;
}): Promise<void>;
export declare function tarXvf(readStream: NodeJS.ReadableStream, destination: string): Promise<void>;
export declare function isProjectNameValid(name: string): boolean;
export declare function isSafeToCreateProjectIn(root: string): Promise<boolean>;
export declare function getStarterTemplateText(templateList: StarterTemplate[]): string;
export declare function getStarterTemplateTextList(templateList: StarterTemplate[]): string[];
export declare function getHelloText(): string;
export declare function patchPackageJsonForCli(env: IonicEnvironment, appName: string, starterType: StarterTemplateType, pathToProject: string): Promise<void>;
export declare function updatePackageJsonForCli(env: IonicEnvironment, appName: string, starterType: StarterTemplateType, pathToProject: string): Promise<void>;
export declare function createProjectConfig(appName: string, starterType: StarterTemplateType, pathToProject: string): Promise<void>;
export declare const STARTER_TYPES: StarterTemplateType[];
export declare const STARTER_TEMPLATES: StarterTemplate[];
